<template>
  <view>
    <view class="u-content">
      <u-parse :content="content" />
    </view>
  </view>
</template>

<script>
export default {
  data() {
    return {
      content: '',
    };
  },

  onLoad(query) {
    this.fetchContent();
  },

  methods: {
    async fetchContent() {
      const { list } = await uni.$u.http.get('/api/app/textintroduction/list', { params: { text_type: 5 } });
      this.content = list[0]?.content ?? '';
    },
  },
};
</script>

<style scoped lang="scss">
@import 'index.scss';
</style>
